> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Noise Suppression Start (BETA)



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/call-control-commands/suppression-start.yml post /calls/{call_control_id}/actions/suppression_start
openapi: 3.1.0
info:
  title: Telnyx Call Control - Suppression Start
  version: 2.0.0
  description: API for starting noise suppression.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: Call control command operations
paths:
  /calls/{call_control_id}/actions/suppression_start:
    post:
      tags:
        - Call Commands
      summary: Noise Suppression Start (BETA)
      operationId: noiseSuppressionStart
      parameters:
        - $ref: '#/components/parameters/CallControlId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NoiseSuppressionStart'
        description: Start noise suppression request
        required: true
      responses:
        '200':
          $ref: '#/components/responses/CallControlCommandResponse'
        '422':
          $ref: '#/components/responses/UnprocessableEntityResponse'
        default:
          $ref: '#/components/responses/call-control_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.calls.actions.startNoiseSuppression('call_control_id');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.calls.actions.start_noise_suppression(
                call_control_id="call_control_id",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Calls.Actions.StartNoiseSuppression(\n\t\tcontext.TODO(),\n\t\t\"call_control_id\",\n\t\ttelnyx.CallActionStartNoiseSuppressionParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.calls.actions.ActionStartNoiseSuppressionParams;

            import
            com.telnyx.sdk.models.calls.actions.ActionStartNoiseSuppressionResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionStartNoiseSuppressionResponse response = client.calls().actions().startNoiseSuppression("call_control_id");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.calls.actions.start_noise_suppression("call_control_id")


            puts(response)
        - lang: CLI
          source: |-
            telnyx calls:actions start-noise-suppression \
              --api-key 'My API Key' \
              --call-control-id call_control_id
components:
  parameters:
    CallControlId:
      name: call_control_id
      description: Unique identifier and token for controlling the call
      in: path
      required: true
      schema:
        type: string
  schemas:
    NoiseSuppressionStart:
      type: object
      title: Noise Suppression Start Request
      properties:
        client_state:
          description: >-
            Use this field to add state to every subsequent webhook. It must be
            a valid Base-64 encoded string.
          type: string
          example: aGF2ZSBhIG5pY2UgZGF5ID1d
        command_id:
          description: >-
            Use this field to avoid duplicate commands. Telnyx will ignore any
            command with the same `command_id` for the same `call_control_id`.
          type: string
          example: 891510ac-f3e4-11e8-af5b-de00688a4901
        direction:
          $ref: '#/components/schemas/NoiseSuppressionDirection'
        noise_suppression_engine:
          $ref: '#/components/schemas/NoiseSuppressionEngine'
        noise_suppression_engine_config:
          $ref: '#/components/schemas/NoiseSuppressionEngineConfig'
      example:
        client_state: aGF2ZSBhIG5pY2UgZGF5ID1d
        command_id: 891510ac-f3e4-11e8-af5b-de00688a4901
        direction: both
        noise_suppression_engine: DeepFilterNet
        noise_suppression_engine_config:
          attenuation_limit: 100
    NoiseSuppressionDirection:
      type: string
      title: Noise Suppression Direction
      description: The direction of the audio stream to be noise suppressed.
      enum:
        - inbound
        - outbound
        - both
      default: inbound
      example: outbound
    NoiseSuppressionEngine:
      type: string
      title: Noise Suppression Engine
      description: >-
        The engine to use for noise suppression.

        For backward compatibility, engines A, B, C, and D are also supported,
        but are deprecated:
         A - Denoiser
         B - DeepFilterNet
         C - Krisp
         D - AiCoustics
      enum:
        - Denoiser
        - DeepFilterNet
        - Krisp
        - AiCoustics
      default: Denoiser
      example: Denoiser
    NoiseSuppressionEngineConfig:
      type: object
      title: Noise Suppression Engine Configuration
      description: >-
        Configuration parameters for noise suppression engines. Different
        engines support different parameters.
      properties:
        attenuation_limit:
          type: integer
          description: >-
            The attenuation limit for noise suppression (0-100). Only applicable
            for DeepFilterNet.
          minimum: 0
          maximum: 100
          default: 100
          example: 100
        mode:
          type: string
          description: Processing mode. Only applicable for DeepFilterNet.
          enum:
            - standard
            - advanced
          example: standard
        model:
          type: string
          description: The Krisp model to use. Only applicable for Krisp.
          enum:
            - krisp-viva-tel-v2.kef
            - krisp-viva-tel-lite-v1.kef
            - krisp-viva-pro-v1.kef
            - krisp-viva-ss-v1.kef
          example: krisp-viva-tel-v2.kef
        suppression_level:
          type: number
          description: Suppression level (0.0-100.0). Only applicable for Krisp.
          minimum: 0
          maximum: 100
          example: 50
        family:
          type: string
          description: >-
            AiCoustics model family. 'sparrow' optimized for human-to-human
            calls, 'quail' optimized for Voice AI/STT. Only applicable for
            AiCoustics.
          enum:
            - sparrow
            - quail
          example: sparrow
        size:
          type: string
          description: >-
            AiCoustics model size. 's' and 'l' work with both families. 'xs' and
            'xxs' are sparrow-only. 'vf_l' and 'vf_1_1_l' are quail-only. Only
            applicable for AiCoustics.
          enum:
            - s
            - l
            - xs
            - xxs
            - vf_l
            - vf_1_1_l
          example: l
        enhancement_level:
          type: number
          description: Enhancement intensity (0.0-1.0). Only applicable for AiCoustics.
          minimum: 0
          maximum: 1
          example: 0.5
        voice_gain:
          type: number
          description: Voice gain multiplier (0.1-4.0). Only applicable for AiCoustics.
          minimum: 0.1
          maximum: 4
          example: 1
    CallControlCommandResult:
      type: object
      title: Call Control Command Result
      example:
        result: ok
      properties:
        result:
          type: string
          example: ok
    call-control_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/call-control_Error'
    call-control_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  responses:
    CallControlCommandResponse:
      description: Successful response upon making a call control command.
      content:
        application/json:
          schema:
            type: object
            title: Call Control Command Response
            properties:
              data:
                $ref: '#/components/schemas/CallControlCommandResult'
    UnprocessableEntityResponse:
      description: >-
        Unprocessable entity. The request was well-formed but could not be
        processed due to semantic errors. This includes validation errors,
        invalid parameter values, call state errors, conference errors, queue
        errors, recording/transcription errors, and business logic violations.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          examples:
            missing_required_parameter:
              summary: Missing required parameter
              value:
                errors:
                  - code: '10004'
                    title: Missing required parameter
                    detail: The 'to' parameter is required and cannot be blank.
                    source:
                      pointer: /to
            invalid_call_control_id:
              summary: Invalid call control ID
              value:
                errors:
                  - code: '90015'
                    title: Invalid Call Control ID
                    detail: The call_control_id provided was not valid.
                    source:
                      pointer: /call_control_id
            call_already_ended:
              summary: Call has already ended
              value:
                errors:
                  - code: '90018'
                    title: Call has already ended
                    detail: This call is no longer active and can't receive commands.
            call_not_answered:
              summary: Call not answered yet
              value:
                errors:
                  - code: '90034'
                    title: Call not answered yet
                    detail: >-
                      This call can't receive this command because it has not
                      been answered yet.
            cannot_record_before_audio_started:
              summary: Cannot record before audio started
              value:
                errors:
                  - code: '90020'
                    title: Call recording triggered before audio started
                    detail: >-
                      Call recording cannot be started until audio has commenced
                      on the call.
            transcription_already_active:
              summary: Transcription already active
              value:
                errors:
                  - code: '90054'
                    title: Call transcription is already in progress
                    detail: Call transcription can not be started more than once.
            ai_assistant_already_active:
              summary: AI Assistant already active
              value:
                errors:
                  - code: '90061'
                    title: AI Assistant is already in progress
                    detail: AI Assistant cannot be started more than once.
            conference_already_ended:
              summary: Conference has already ended
              value:
                errors:
                  - code: '90019'
                    title: Conference has already ended
                    detail: >-
                      This conference is no longer active and can't receive
                      commands.
            conference_name_conflict:
              summary: Conference name conflict
              value:
                errors:
                  - code: '90033'
                    title: Unable to execute command
                    detail: Conference with given name already exists and it's active.
            max_participants_reached:
              summary: Maximum participants reached
              value:
                errors:
                  - code: '90032'
                    title: Maximum number of participants reached
                    detail: >-
                      The maximum allowed value of `max_participants` has been
                      reached at 100.
            queue_full:
              summary: Queue is full
              value:
                errors:
                  - code: '90036'
                    title: Queue full
                    detail: The 'support' queue is full and can't accept more calls.
            call_already_in_queue:
              summary: Call already in queue
              value:
                errors:
                  - code: '90038'
                    title: Call already in queue
                    detail: Call can't be added to a queue it's already in.
            invalid_connection_id:
              summary: Invalid connection ID
              value:
                errors:
                  - code: '10015'
                    title: Invalid value for connection_id (Call Control App ID)
                    detail: >-
                      The requested connection_id (Call Control App ID) is
                      either invalid or does not exist. Only Call Control Apps
                      with valid webhook URL are accepted.
                    source:
                      pointer: /connection_id
            invalid_phone_number_format:
              summary: Invalid phone number format
              value:
                errors:
                  - code: '10016'
                    title: Phone number must be in +E164 format
                    detail: The 'to' parameter must be in E164 format.
                    source:
                      pointer: /to
            srtp_not_supported_for_pstn:
              summary: SRTP not supported for PSTN calls
              value:
                errors:
                  - source:
                      pointer: /media_encryption
                    title: Media encryption not supported for PSTN calls
                    detail: SRTP media encryption is not supported for PSTN calls.
                    code: '10011'
            fork_not_found:
              summary: Call is not forked
              value:
                errors:
                  - code: '90031'
                    title: Call is not currently forked
                    detail: >-
                      Can't stop forking, because the call isn't currently
                      forked.
            media_streaming_used:
              summary: Media streaming in use
              value:
                errors:
                  - code: '90045'
                    title: Media Streaming is used
                    detail: This command can't be issued when media streaming is used.
            invalid_enumerated_value:
              summary: Invalid enumerated value
              value:
                errors:
                  - code: '10032'
                    title: Invalid enumerated value
                    detail: 'The value must be one of: dual, single.'
                    source:
                      pointer: /record_channels
            value_outside_range:
              summary: Value outside of range
              value:
                errors:
                  - code: '10033'
                    title: Value outside of range
                    detail: The value is outside of allowed range 1 to 5000
                    source:
                      pointer: /max_participants
    call-control_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````